View Issue Details

IDProjectCategoryLast Update
0021068AI War 2[All Projects] Bug - OtherJun 4, 2019 2:15 pm
Reporterwm46Assigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product VersionBETA 0.851 Drones And Economies 
Fixed in Version 
Summary0021068: Metabolizing Gangsaws are upgraded by Heavy but don't show it in game
DescriptionThe line appears in the XML, but it isn't showing in game. They do properly get upgraded in game though.
TagsNo tags attached.

Activities

x4000Bughunter

Apr 20, 2019 4:38 pm

administrator   ~0051237

Savegame? They should only show up if you're able to build them, so for whatever reason it wasn't catching that you can do that. There are waaaaay more things that can be upgraded than would reasonably fit into the tooltip, so it just gives you the selection of what you actually can see.

wm46

Apr 20, 2019 4:59 pm

reporter   ~0051241

I'll post the save once I get back home, but I have been noticing that even when there's only a small amount of ships unlocked sometimes it didn't show them in the tool tip.

So like I had a ship that had Spiders and Pods, and I think both of them are listed as Disruptor, but in the tool tip for Disruptor it only listed Spider.

(Probably got the tech group wrong, but this has happened to me)

wm46

Apr 20, 2019 5:37 pm

reporter   ~0051247

Testes.save contains the save where Pods and Spiders are both in the disruptive category, but only Pods are showing in the unit list.

Turtle AI Broken.save contains the save where metabolizing gangsaws are not showing their membership in heavy.

testes.save (807,313 bytes)
Turtle AI broken.save (875,287 bytes)

wm46

Apr 20, 2019 10:53 pm

reporter   ~0051252

The same issue also occurs for station keeping assault frigates. Ship tooltip says they are upgraded by disruptive and heavy, but they only show up under the heavy tooltip.

x4000Bughunter

Jun 4, 2019 10:29 am

administrator   ~0051805

I think this was fixed a while ago. Can you confirm?

RocketAssistedPuffin

Jun 4, 2019 2:15 pm

developer   ~0051832

Having a look around, I'm not seeing this issue right now.

x4000Bughunter

Jun 4, 2019 2:15 pm

administrator   ~0051833

Awesome, thanks!

Issue History

Date Modified Username Field Change
Apr 19, 2019 8:22 pm wm46 New Issue
Apr 20, 2019 4:38 pm x4000Bughunter Note Added: 0051237
Apr 20, 2019 4:59 pm wm46 Note Added: 0051241
Apr 20, 2019 5:37 pm wm46 File Added: testes.save
Apr 20, 2019 5:37 pm wm46 File Added: Turtle AI broken.save
Apr 20, 2019 5:37 pm wm46 Note Added: 0051247
Apr 20, 2019 10:53 pm wm46 Note Added: 0051252
Jun 4, 2019 10:29 am x4000Bughunter Assigned To => x4000Bughunter
Jun 4, 2019 10:29 am x4000Bughunter Status new => feedback
Jun 4, 2019 10:29 am x4000Bughunter Note Added: 0051805
Jun 4, 2019 2:15 pm RocketAssistedPuffin Note Added: 0051832
Jun 4, 2019 2:15 pm x4000Bughunter Status feedback => resolved
Jun 4, 2019 2:15 pm x4000Bughunter Resolution open => fixed
Jun 4, 2019 2:15 pm x4000Bughunter Note Added: 0051833